Issue #8521 has been reported by luislavena (Luis Lavena).

----------------------------------------
Bug #8521: bootstrap tests failure caused by $SAFE=4
https://bugs.ruby-lang.org/issues/8521

Author: luislavena (Luis Lavena)
Status: Open
Priority: Normal
Assignee: shugo (Shugo Maeda)
Category: build
Target version: current: 2.1.0
ruby -v: trunk r41261
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


Hello,

It seems that the change of $SAFE=4 to raise ArgumentError is causing bootstrap tests to fail:

http://c5664.rubyci.org/~chkbuild/ruby-trunk/log/20130612T153301Z.log.html.gz#btest

And also on Windows CI:

http://ci.rubyinstaller.org/job/ruby-trunk-x64-build/1641/console
http://ci.rubyinstaller.org/job/ruby-trunk-x86-build/1756/console



-- 
http://bugs.ruby-lang.org/